# Chef for Workload Security Agent

This repository contains a cookbook to help deploy the Trend Micro Workload Security Agent.


[Requirements](#requirements) | [Usage](#usage) | [Security](#security) | [Support](#support) | [Contribute](#contribute)


## Requirements

Compatible version(s) of Cloud One - Workload Security or Deep Security Manager/Agent 12.0+. Chef 12.18+. Supports Amazon, CentOS, Debian, Fedora, Oracle, Redhat and Ubuntu platforms. Cookbook tested on Amazon.

## Usage

This repository is also set up for use from [AWS OpsWorks](https://aws.amazon.com/opsworks/). You can enable this as a *custom cookbook* within your stack. This makes is very easy to ensure that the agent is running on all of the EC2 instances within your stack. Please refer to the AWS documentation for a detailed guide.

## Security

Responsible security vulnerability disclosures can be made privately to deepsecurityopensource@trendmicro.com.
Public disclosure will occur when a fix is released.
## Support

This is an open source community project. Project contributors may be able to help, depending on their time and availability.
Please be specific about what you're trying to do, your system, and steps to reproduce the problem.

For bug reports or feature requests, please [open an issue](../issues). You are welcome to [contribute](#contribute).

Official support from Trend Micro is *not* available. Individual contributors may be Trend Micro employees, but are not official support.

## Contribute

We accept contributions from the community. To submit changes:

1. Fork this repository.
2. Create a new feature branch.
3. Make your changes.
4. Submit a pull request with an explanation of your changes or additions.

We will review and work with you to release the code.

Contributors automatically grant copyright by submitting a PR, according to our [license](LICENSE). Don't contribute code that you didn't write, or that has an incompatible license. For further help, please contact us at deepsecurityopensource@trendmicro.com.
